package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QyDjxxMapper;
import com.ruoyi.system.domain.QyDjxx;
import com.ruoyi.system.service.IQyDjxxService;
import com.ruoyi.common.core.text.Convert;

/**
 * 登记信息表Service业务层处理
 *
 * @author xxx
 * @date 2019-09-10
 */
@Service
public class QyDjxxServiceImpl implements IQyDjxxService
{
    @Autowired
    private QyDjxxMapper qyDjxxMapper;

    /**
     * 查询登记信息表
     *
     * @param id 登记信息表ID
     * @return 登记信息表
     */
    @Override
    public QyDjxx selectQyDjxxById(Long id)
    {
        return qyDjxxMapper.selectQyDjxxById(id);
    }

    /**
     * 查询登记信息表列表
     *
     * @param qyDjxx 登记信息表
     * @return 登记信息表
     */
    @Override
    public List<QyDjxx> selectQyDjxxList(QyDjxx qyDjxx)
    {
        return qyDjxxMapper.selectQyDjxxList(qyDjxx);
    }

    /**
     * 新增登记信息表
     *
     * @param qyDjxx 登记信息表
     * @return 结果
     */
    @Override
    public int insertQyDjxx(QyDjxx qyDjxx)
    {
        return qyDjxxMapper.insertQyDjxx(qyDjxx);
    }

    /**
     * 修改登记信息表
     *
     * @param qyDjxx 登记信息表
     * @return 结果
     */
    @Override
    public int updateQyDjxx(QyDjxx qyDjxx)
    {
        return qyDjxxMapper.updateQyDjxx(qyDjxx);
    }

    /**
     * 删除登记信息表对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteQyDjxxByIds(String ids)
    {
        return qyDjxxMapper.deleteQyDjxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除登记信息表信息
     *
     * @param id 登记信息表ID
     * @return 结果
     */
    public int deleteQyDjxxById(Long id)
    {
        return qyDjxxMapper.deleteQyDjxxById(id);
    }

    @Override
    public QyDjxx selectQyDjxxByBsid(String bsid){

        return qyDjxxMapper.selectQyDjxxByBsid(bsid);

    }

}
